Arnold Clark Caledonia North Region League Division 3 (Men's)
RAF Lossiemouth RFC – Inverness Craig Dunain RFC
2026年12月5日
联赛排名
RAF Lossiemouth RFCP 5 · W 4 · D 0 · L 1 · Pts 20第3名(共12队)
Inverness Craig Dunain RFCP 4 · W 3 · D 0 · L 1 · Pts 13第5名(共12队)
完整积分榜近期状态
RAF Lossiemouth RFC
- W对 Huntly RFC118–12
- W@ Dyce RFC105–12
- W对 Deeside RFC26–22
- W对 Peterhead RFC94–0
- L@ Aberdeen Wanderers RFC19–70
Inverness Craig Dunain RFC
- L对 Aberdeen Wanderers RFC5–53
- W@ Turriff RFC55–33
- W对 Dyce RFC122–12
- W对 Caithness RFC 2nd XV86–27
交锋记录
我们掌握的结果中没有过往交锋。
